Bug 143359 - EDITING Deletion of empty table row is not change tracked
Summary: EDITING Deletion of empty table row is not change tracked
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-07-14 14:20 UTC by NISZ LibreOffice Team
Modified: 2021-10-05 07:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file with the table created in Writer (13.56 KB, application/vnd.oasis.opendocument.text)
2021-07-14 14:20 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (89.02 KB, image/png)
2021-07-14 14:20 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-07-14 14:20:13 UTC
Created attachment 173566 [details]
The example file with the table created in Writer

After deleting an existing table that contains an empty row with Track Changes turned on, after accepting the change Writer leaves the empty row in the document.

Steps to reproduce:
1.	Open attached .odt file in Writer.
2.	Under the Manage Changes panel, accept the changes.

Actual results:
Writer leaves an empty row in the document.

Expected results:
Writer should track the deletion of the empty row and entirely delete the table after accepting the changes.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bd2f2273d83dcca43eb6b465308707efd45e7adf
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-07-14 14:20:34 UTC
Created attachment 173567 [details]
Screenshot of the problem in Writer
Comment 2 Buovjaga 2021-07-19 08:53:43 UTC
Repro

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b1df9c67349cf4cc5be4128d797aefb87f50e38f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 3 László Németh 2021-09-08 13:28:22 UTC
tdf#143359 sw: track deletion of empty table rows

Empty table rows were deleted immediately during
change tracking, or in the case of a deleted table
also with non-empty rows, accepting table deletion
kept empty rows.

Note: as a workaround for tracking of the empty rows,
i.e. rows without text content, add a redline with
invisible text ZWJ in the first cell of the empty row.

See also commit a483a44ca00f43a64ae51d62b8fbb4129a413f6d
"tdf#143215 DOCX import: fix tracked empty row insertion/deletion",
commit b50d386dfa70f7c1d4eb1a49091ec9dd782b767b
"tdf#142701 track changes: fix layout regression of image deletion"
and commit 05366b8e6683363688de8708a3d88cf144c7a2bf
"tdf#60382 sw offapi: add change tracking of table/row deletion".

Note: switch off unnecessary redlining of tdf#132744 unit test
to keep the sake of that test (i.e. cut of the selected table
with empty rows).
Comment 4 Commit Notification 2021-09-08 13:28:56 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99059a1ececa3621c2fe46fabdd79eed9d626c42

tdf#143359 sw: track deletion of empty table rows

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-10-05 07:10:33 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded